Subject: Re: [PATCH linux-next] fb: make fp_get_options name argument const

From: Tomi Valkeinen <[email-masked]>
Date: Wed, 26 Jun 2013 16:21:25 +0300

On 18/06/13 17:23, Vincent Stehlé wrote:
> drm_get_connector_name now returns a const value, which causes the following
> compilation warning:
> 
>   drivers/gpu/drm/drm_fb_helper.c: In function ‘drm_fb_helper_parse_command_line’:
>   drivers/gpu/drm/drm_fb_helper.c:127:3: warning: passing argument 1 of ‘fb_get_options’ discards ‘const’ qualifier from pointer target type [enabled by default]
>   In file included from drivers/gpu/drm/drm_fb_helper.c:35:0:
>   include/linux/fb.h:627:12: note: expected ‘char *’ but argument is of type ‘const char *’
> 
> As fb_get_options uses its name argument as read only, make it const. This
> fixes the aforementioned compilation warning.
> 
> Signed-off-by: Vincent Stehlé <[email-masked]>
> Cc: Jean-Christophe Plagniol-Villard <[email-masked]>
> Cc: Tomi Valkeinen <[email-masked]>
> Cc: Dave Airlie <[email-masked]>
> Cc: [email-masked]
> ---
> 
> 
> Hi,
> 
> I remarked this warning while building linux-next with imx_v6_v7_defconfig.
> Is changing fb_get_options prototype "permitted", please?

I don't see how changing the parameter to const could break anything, so
I've applied this to fbdev-3.11 branch.

 Tomi